#! /usr/bin/env python

from httplib import HTTPConnection, HTTPResponse
import sys
import unittest
import mock

from tests.pkiunittest import PYPATH

# Allow import of OSGPKIUtilsTests. Hacky.
sys.path.insert(1, PYPATH)
from osgpkitools import ConnectAPI, ExceptionDefinitions

class DoConnectTests(unittest.TestCase):

    def test_500_response(self):
        mock_conn = mock.Mock()
        mock_response = mock_conn.getresponse.return_value
        mock_response.status = 500
        ConnectAPI.do_connect(mock_conn, 'http://foo.bar', '', '')
        self.assertRaises(ExceptionDefinitions.Exception_500response)

# class ConnectAPITests(unittest.TestCase):

#     def setUp(self):
#         self.capi = ConnectAPI.ConnectAPI()

#     @mock.patch('M2Crypto.httpslib.HTTPSConnection.request')
#     @mock.patch('httplib.HTTPConnection.request')
#     @mock.patch('M2Crypto.httpslib.HTTPSConnection.request')
#     def test_do_connect(self, mock_request):
#         mock_request.return_value = True
#         self.capi.do_connect()
#         self.fail()

#     def test_request_unauthenticated(self):
#         self.fail()

#     def test_request_authenticated(self):
#         self.fail()

#     def test_retrieve_authenticated(self):
#         self.fail()

#     def test_retrieve_unauthenticated(self):
#         self.fail()

#     def test_issue(self):
#         self.fail()

#     def test_approve(self):
#         self.fail()

#     def test_renew(self):
#         self.fail()

if __name__ == '__main__':
    unittest.main(verbosity=2)
